loci.formats.tools

## Class CacheConsole

- java.lang.Object
- - loci.formats.tools.CacheConsole

-     public final class CacheConsole
      extends java.lang.Object

  CacheConsole provides an interactive interpreter for testing the Bio-Formats caching implementation.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `CacheConsole()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private static int[]` | `getLengths(IFormatReader r)` Helper utility for constructing lengths array, used by main.
    `static void` | `main(java.lang.String[] args)` Interactive interpreter for testing Bio-Formats caching implementation.
    `private static void` | `printArray(java.lang.String prefix, int[] array)` Helper utility for outputing contents of an int array, used by main.
    `private static void` | `printOrder(java.lang.String prefix, Cache cache)` Helper utility for outputing cache strategy's order, used by main.
    `private static void` | `printSource(java.lang.String prefix, Cache cache)` Helper utility for outputing cache's associated source, used by main.
    `private static void` | `printStrategy(java.lang.String prefix, Cache cache)` Helper utility for outputing cache's associated strategy, used by main.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheConsole

          private CacheConsole()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws FormatException,
                                  java.io.IOException

      Interactive interpreter for testing Bio-Formats caching implementation.
      Throws:
        `FormatException`
        `java.io.IOException`

    - #### printArray

          private static final void printArray(java.lang.String prefix,
                                               int[] array)

      Helper utility for outputing contents of an int array, used by main.

    - #### printSource

          private static final void printSource(java.lang.String prefix,
                                                Cache cache)

      Helper utility for outputing cache's associated source, used by main.

    - #### printStrategy

          private static final void printStrategy(java.lang.String prefix,
                                                  Cache cache)

      Helper utility for outputing cache's associated strategy, used by main.

    - #### printOrder

          private static final void printOrder(java.lang.String prefix,
                                               Cache cache)

      Helper utility for outputing cache strategy's order, used by main.

    - #### getLengths

          private static final int[] getLengths(IFormatReader r)

      Helper utility for constructing lengths array, used by main.

Copyright © 2026 Open Microscopy Environment